New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

no response "Installing Python packages" #2516

Closed
joviqiao opened this Issue Feb 20, 2016 · 36 comments

Comments

Projects
None yet
@joviqiao
Copy link

joviqiao commented Feb 20, 2016

20160220203209
stop here, no response.
What's wrong?

@bmw

This comment has been minimized.

Copy link
Contributor

bmw commented Feb 22, 2016

One thing to try is running letsencrypt-auto with --verbose which will provide you with more output to help identify the problem.

@ghost

This comment has been minimized.

Copy link

ghost commented Feb 25, 2016

long long long long time,then

Had a problem while downloading and verifying Python packages:
Downloading argparse==1.4.0 (23K)...
Downloading cffi==1.4.2 (365K)...
Downloading ConfigArgParse==0.10.0 (36K)...
Downloading configobj==5.0.6 (33K)...
Downloading cryptography==1.1.2 (349K)...
Downloading enum34==1.1.2 (46K)...
Downloading funcsigs==0.4 (14K)...
Downloading idna==2.0 (61K)...
Downloading ipaddress==1.0.16 (17K)...
Downloading linecache2==1.0.0 (12K)...
Downloading ndg-httpsclient==0.4.0 (24K)...
Downloading ordereddict==1.1 (2K)...
Downloading parsedatetime==1.5 (50K)...
Downloading pbr==1.8.1 (89K)...
Downloading psutil==3.3.0 (261K)...
Downloading pyasn1==0.1.9 (36K)...
Downloading pycparser==2.14 (223K)...
Downloading pyOpenSSL==0.15.1 (102K)...
Downloading pyRFC3339==1.0 (8K)...
Downloading python-augeas==0.5.0 (90K)...
Downloading python2-pythondialog==3.3.0 (1831K)...
Downloading pytz==2015.7 (476K)...
Downloading requests==2.9.1 (501K)...
Downloading six==1.10.0 (10K)...
Downloading traceback2==1.4.0 (16K)...
Downloading unittest2==1.1.0 (96K)...
Downloading Werkzeug==0.11.3 (305K)...
Downloading zope.component==4.2.2 (546K)...
Downloading zope.event==4.1.0 (476K)...
Downloading zope.interface==4.1.3 (141K)...
Downloading acme==0.4.0 (95K)...
Downloading letsencrypt==0.4.0 (197K)...
Downloading letsencrypt-apache==0.4.0 (93K)...
Downloading mock==1.0.1 (818K)...

THE FOLLOWING PACKAGES DIDN'T MATCH THE HASHES SPECIFIED IN THE REQUIREMENTS
FILE. If you have updated the package versions, update the hashes. If not,
freak out, because someone has tampered with the packages.

    pbr: expected one of Rsjbda51oFa9HMB_ohc0_i5gPRGgeDPswe63TDXHLgw
                         4hJ2JqkebIhduJZol22zECDwry2nKJJLVkgPx8zwlkk
                     got JqA3WPcoq9yYrWfg287d-goLq0Q_Z172mEuKRV4O7rY
-------------------------------
Not proceeding to installation.

Thk.

@ghost

This comment has been minimized.

Copy link

ghost commented Feb 25, 2016

I new/rewrite .pip/pip.conf, all good now. FckGFW.

@joviqiao

This comment has been minimized.

Copy link
Author

joviqiao commented Feb 26, 2016

Thanks, but how to rewrite? @LzIManD
I full install python, but it not works.

@ghost

This comment has been minimized.

Copy link

ghost commented Feb 26, 2016

vim ~/.pip/pip.conf

[global]
index-url = http://mirrors.aliyun.com/pypi/simple/

[install]
trusted-host=mirrors.aliyun.com

Because of my aliyun ECS , so aliyun mirrors.

@joviqiao

This comment has been minimized.

Copy link
Author

joviqiao commented Feb 26, 2016

FckGFW!!

Thx, it works. @LzIManD

@joviqiao joviqiao closed this Feb 26, 2016

@smoothdvd

This comment has been minimized.

Copy link

smoothdvd commented Jul 9, 2016

FGFW! Thanks @LzIManD

@hatakawas

This comment has been minimized.

Copy link

hatakawas commented Aug 19, 2016

FK GFW! Thanks @LzIManD

1 similar comment
@MoonShining

This comment has been minimized.

Copy link

MoonShining commented Oct 16, 2016

FK GFW! Thanks @LzIManD

@ice6

This comment has been minimized.

Copy link

ice6 commented Oct 19, 2016

GFW! Thanks @LzIManD

@saildog

This comment has been minimized.

Copy link

saildog commented Dec 12, 2016

Fxxk GFW! Thanks @LzIManD

@xushengs

This comment has been minimized.

Copy link

xushengs commented Dec 20, 2016

Fck GFW! Thanks @LzIManD

@itbdw

This comment has been minimized.

Copy link

itbdw commented Jan 11, 2017

FK GFW! Thanks @LzIManD

@liyikun

This comment has been minimized.

Copy link

liyikun commented Feb 13, 2017

FK GFW! Thanks @LzIManD

@joviqiao

This comment has been minimized.

Copy link
Author

joviqiao commented Feb 13, 2017

其实吧,你既然都用阿里云了,直接用阿里云的免费证书岂不更好。

@godblesshugh

This comment has been minimized.

Copy link

godblesshugh commented Mar 21, 2017

Could not find a version that satisfies the requirement acme==0.12.0
Change to:
[global]
index-url = https://pypi.tuna.tsinghua.edu.cn/simple

@aaroncohen

This comment has been minimized.

Copy link
Contributor

aaroncohen commented May 22, 2017

Working on this in the Pycon 2017 sprints. I've made a change to pipstrap.py that checks whether or not it can resolve pypi.python.org, and exits with an error if it can't, giving guidance to change your config as discussed above. We'd like to avoid having automatic behavior to fall back to servers inside of China, as that might spur a negative reaction from users from outside of China.

It would be more user friendly to provide an argument for users to add additional pip index urls, but I'd need some guidance in how to persist that option so that subsequent runs of the letsencrypt-auto script would continue to use the alternate pip index.

My PR: #4711

Any tips?

@bmw

This comment has been minimized.

Copy link
Contributor

bmw commented May 22, 2017

Thanks for working on this! I haven't looked at the PR yet, but if @erikrose is open to it, I think it'd be better to land this change on the pipstrap repo first.

@godblesshugh

This comment has been minimized.

Copy link

godblesshugh commented May 25, 2017

Maybe put that 'index' in here at GitHub [has been accessible for few years]

@shofukamachi

This comment has been minimized.

Copy link

shofukamachi commented May 31, 2017

@yeweishuai

This comment has been minimized.

Copy link

yeweishuai commented Jun 1, 2017

Thanks, the following works.

vim ~/.pip/pip.conf
[global]
index-url = http://mirrors.aliyun.com/pypi/simple/
[install]
trusted-host=mirrors.aliyun.com
Because of my aliyun ECS , so aliyun mirrors.

@5452

This comment has been minimized.

Copy link

5452 commented Aug 11, 2017

didn't work for me. I use centos 6 and python is native with it, the version is 2.6, I cannot find the ~/.pip/pip.conf, and I created one with the given content, but when I executed certbot-auto, still got hung there... could anyone help me with it? Thanks.

@addedjacky

This comment has been minimized.

Copy link

addedjacky commented Aug 29, 2017

@LzIManD It's does not work now.

@addedjacky

This comment has been minimized.

Copy link

addedjacky commented Aug 29, 2017

vim ~/.pip/pip.conf

[global]
index-url=http://mirrors.aliyun.com/pypi/simple/

[install]
trusted-host=mirrors.aliyun.com

now:

# sudo ./certbot-auto --nginx
Bootstrapping dependencies for RedHat-based OSes... (you can skip this with --no-bootstrap)
yum 是 /bin/yum
已加载插件:fastestmirror
Loading mirror speeds from cached hostfile
软件包 gcc-4.8.5-11.el7.x86_64 已安装并且是最新版本
软件包 augeas-libs-1.4.0-2.el7.x86_64 已安装并且是最新版本
软件包 1:openssl-1.0.1e-60.el7_3.1.x86_64 已安装并且是最新版本
软件包 1:openssl-devel-1.0.1e-60.el7_3.1.x86_64 已安装并且是最新版本
软件包 libffi-devel-3.0.13-18.el7.x86_64 已安装并且是最新版本
软件包 redhat-rpm-config-9.1.0-72.el7.centos.noarch 已安装并且是最新版本
软件包 ca-certificates-2017.2.14-70.1.el7_3.noarch 已安装并且是最新版本
软件包 python-2.7.5-48.el7.x86_64 已安装并且是最新版本
软件包 python-devel-2.7.5-48.el7.x86_64 已安装并且是最新版本
软件包 python-virtualenv-1.10.1-3.el7.noarch 已安装并且是最新版本
软件包 python-tools-2.7.5-48.el7.x86_64 已安装并且是最新版本
软件包 python2-pip-8.1.2-5.el7.noarch 已安装并且是最新版本
无须任何处理
Creating virtual environment...
Installing Python packages...
@lomojuice

This comment has been minimized.

Copy link

lomojuice commented Sep 21, 2017

@addedjacky 使用清华大学的镜像

[global]
index-url=https://pypi.tuna.tsinghua.edu.cn/simple/

[install]
trusted-host=pypi.tuna.tsinghua.edu.cn
@addedjacky

This comment has been minimized.

Copy link

addedjacky commented Sep 21, 2017

@erfan2333 可以了,速度有点慢,等老长一段时间。

@xuxujiang0

This comment has been minimized.

Copy link

xuxujiang0 commented Sep 27, 2017

@addedjacky 你用哪个镜像?等了大概多长时间?我也遇到这个问题,好烦呢。

@Shasharoman

This comment has been minimized.

Copy link

Shasharoman commented Sep 27, 2017

~/.config/pip/pip.conf work for me.

@addedjacky

This comment has been minimized.

Copy link

addedjacky commented Sep 27, 2017

@xuxujiang0 阿里的,不行的话,就试试清大的镜像

@bmw

This comment has been minimized.

Copy link
Contributor

bmw commented Oct 5, 2017

Can someone dealing with GFW issues test something for me? We're trying to help with some of the problems here.

Please:

  1. Install git.
  2. Run:
git clone -b pypi-mirrors --depth 1 https://github.com/erikrose/letsencrypt
letsencrypt/letsencrypt-auto-source/letsencrypt-auto --no-self-upgrade --pypi-mirror --version

This command should finish by printing "certbot 0.18.2". If it does not, can you please tell me the output?

Thanks for any help! Afterwards, you can delete the letsencrypt directory that was created.

@BirkhoffLee

This comment has been minimized.

Copy link

BirkhoffLee commented Oct 19, 2017

@bmw Hang. Tencent Cloud at Shanghai

[root@VM_0_3_centos ~]# letsencrypt/letsencrypt-auto-source/letsencrypt-auto --no-self-upgrade --pypi-mirror --version
Bootstrapping dependencies for RedHat-based OSes... (you can skip this with --no-bootstrap)
yum is /usr/bin/yum
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
Package gcc-4.8.5-16.el7.x86_64 already installed and latest version
Package augeas-libs-1.4.0-2.el7_4.1.x86_64 already installed and latest version
Package 1:openssl-1.0.2k-8.el7.x86_64 already installed and latest version
Package 1:openssl-devel-1.0.2k-8.el7.x86_64 already installed and latest version
Package libffi-devel-3.0.13-18.el7.x86_64 already installed and latest version
Package redhat-rpm-config-9.1.0-76.el7.centos.noarch already installed and latest version
Package ca-certificates-2017.2.14-71.el7.noarch already installed and latest version
Package python-2.7.5-58.el7.x86_64 already installed and latest version
Package python-devel-2.7.5-58.el7.x86_64 already installed and latest version
Package python-virtualenv-1.10.1-4.el7.noarch already installed and latest version
Package python-tools-2.7.5-58.el7.x86_64 already installed and latest version
Package python2-pip-8.1.2-5.el7.noarch already installed and latest version
Nothing to do
Creating virtual environment...
Installing Python packages...
@BirkhoffLee

This comment has been minimized.

Copy link

BirkhoffLee commented Oct 19, 2017

For anyone encounters the same situation and still can't fix using the solutions above, I solved by following this article:

https://my.oschina.net/xiongliding/blog/825231

@bmw

This comment has been minimized.

Copy link
Contributor

bmw commented Oct 19, 2017

Thanks so much @BirkhoffLee.

We'll see if we can come up with another approach that will help here.

cc @erikrose

@erikrose

This comment has been minimized.

@BirkhoffLee

This comment has been minimized.

Copy link

BirkhoffLee commented Oct 20, 2017

@erikrose On the same server, it could be downloaded

[root@VM_0_3_centos ~]# wget https://mirrors.ustc.edu.cn/pypi/web/packages/69/65/4c544cde88d4d876cdf5cbc5f3f15d02646477756d89547e9a7ecd6afa76/setuptools-20.2.2.tar.gz
--2017-10-20 08:12:47--  https://mirrors.ustc.edu.cn/pypi/web/packages/69/65/4c544cde88d4d876cdf5cbc5f3f15d02646477756d89547e9a7ecd6afa76/setuptools-20.2.2.tar.gz
Resolving mirrors.ustc.edu.cn (mirrors.ustc.edu.cn)... 202.141.176.110, 2001:da8:d800:95::110
Connecting to mirrors.ustc.edu.cn (mirrors.ustc.edu.cn)|202.141.176.110|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 676284 (660K) [application/gzip]
Saving to: ‘setuptools-20.2.2.tar.gz’

100%[========================================================================================================================================>] 676,284     2.88MB/s   in 0.2s

2017-10-20 08:12:48 (2.88 MB/s) - ‘setuptools-20.2.2.tar.gz’ saved [676284/676284]
@lublues

This comment has been minimized.

Copy link

lublues commented Sep 12, 2018

marked. see later.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment